Subject: Re: bug#6941: 24.0.50; yank doesn't return latest kill

From: Andreas Röhler <[email-masked]>
Date: Tue, 31 Aug 2010 18:39:17 +0200

Am 31.08.2010 18:12, schrieb Chong Yidong:
> Andreas Röhler<[email-masked]>  writes:
>
>> I'm coming upon from functions which exchange-point-and-mark in order
>> to get the string found displayed. Seems it's the setting of the mark,
>> which triggers the bug.
>>
>> If the last line is changed into
>>
>> (kill-new (buffer-substring-no-properties 200 203)) asdf
>>
>> evaluating it before "asdf", push-mark, down one or more line, region
>> is active, yank, "asdf" is inserted.
>
> Your description is still too vague.  Please provide a step by step
> recipe; don't describe what you did ("evaluating", "push-mark", etc.),
> but what you typed.  For instance, here is what I did:
>
> 1. emacs -Q
> 2. Type the following: (kill-new (buffer-substring-no-properties 193 197))
> 3. C-x C-e
>
>       =>  "kill" appears in the echo area
>
> 4. M-<
> 5. C-SPC
> 6. C-n
> 7. C-y
>
>       =>  The word "kill" is yanked into the buffer.
>
> I don't see any bug here.
>

Unfortunatly it behaves different here.

Get twofold

;; This buffer is for notes you don't want to save, and for Lisp evaluation.
;; This buffer is for notes you don't want to save, and for Lisp evaluation.

instead, which is logically, as C-n after C-SPC activated the region.

Just as a default it's a bug....

BTW I run it from an uninstalled Emacs from the directory where it's 
built with bootstrap.

Andreas